import { isAuthorized } from "$lib/server/requestTools";
import { unauthorizedResponse } from "$lib/server/responseBodies";
import type { Handle } from "@sveltejs/kit";

export const handle: Handle = async ({ event, resolve }) => {
	const auth = await isAuthorized(event);

	if (!auth) {
		return unauthorizedResponse();
	}

	event.locals.user = auth;

	return await resolve(event);
};
